// package web.multitask.app.api;
 package web.multitask.trismegistoservices.api;
 import javax.mail.internet.MimeMessage;
 import lombok.AllArgsConstructor;
 import org.json.JSONObject;
 import org.springframework.http.MediaType;
 import org.springframework.http.ResponseEntity;
 import org.springframework.web.bind.annotation.ModelAttribute;
 import org.springframework.web.bind.annotation.RestController;
 import org.springframework.web.bind.annotation.RequestMapping;
 import org.springframework.web.bind.annotation.RequestMethod;
 import web.multitask.trismegistoservices.model.GmailRequest;
// import web.multitask.trismegistoservices.mysql.EmailMysql;
 import web.multitask.trismegistoservices.services.google.GmailService;


 @RestController
 @RequestMapping("/gmail")
@AllArgsConstructor
 public class EmailApi {
//     private final Dotenv dotenv;
     private final GmailService emailService;
//     private final EmailMysql emailMysql;

     @RequestMapping(path = "/public/generate", method = RequestMethod.POST, consumes = {MediaType.MULTIPART_FORM_DATA_VALUE})
     public ResponseEntity<?> full(@ModelAttribute GmailRequest request) {
         try {
             MimeMessage message = emailService.htmlMessage(request);
             JSONObject response = emailService.send(message);
             return ResponseEntity.ok(response.toMap());
         } catch (Exception e) {
             return ResponseEntity.internalServerError().body(new JSONObject().put("message", e.getMessage()).put("status", false).toMap());
         }
     }

//     @RequestMapping(path = "/service/confirmation", method = RequestMethod.POST, consumes = {MediaType.MULTIPART_FORM_DATA_VALUE})
//     public ResponseEntity<?> template(@ModelAttribute GmailRequest request) {
//         try {
//             String URL =  dotenv.get("URL_CONFIRMATION");
//             assert URL != null;
//             JSONObject extra = request.getExtra();
//             JSONObject response = emailMysql.getHTMLTemplate(extra);
//             if(response.getBoolean("status")){
//                 JSONObject data = response.getJSONArray("data").getJSONObject(0);
//                 String html = data.getString("html");
//                 html = html.replaceAll("TOKEN", extra.getString("token"));
//                 html = html.replaceAll("URL", URL);
//                 request.setBody(html);
//                 MimeMessage message = emailService.htmlMessage(request);
//                 JSONObject responseEmail = emailService.send(message);
//                 return ResponseEntity.ok(responseEmail.toMap());
//             }else{
//                 return ResponseEntity.internalServerError().body(new JSONObject().put("message", response.getString("message")).put("status", false).toMap());
//             }
//         } catch (Exception e) {
//             return ResponseEntity.internalServerError().body(new JSONObject().put("message", e.getMessage()).put("status", false).toMap());
//         }
//     }

 }